View Issue Details

IDProjectCategoryView StatusLast Update
0001640Ham Radio DeluxeBugpublic2018-07-25 20:47
ReporterWA9PIE 
Assigned Tog3ucq 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.873 
Summary0001640: Lat/Long, Heading, and Distance fields are not updating when the Locator (grid) field is changed
DescriptionWB5JJJ has reported this on the forum and several folks have agreed that this is a problem.

There was never a requirement to stop changing lat/long, heading, and distance when the Locator field populated. But this is a remnant from a change we made to stop populating the Locator field from the country file (which we're not going back to).
Steps To Reproduce- Open ALE
- Enter a call (WK3ZQY, which doesn't exist) and hit tab
- Observe that the Locator field is left blank (good)
- Default coordinates are populated for lat/long, heading, and distance (good)
- Enter EM35 into the Locator field and hit tab
- Notice that the "Rotator" line in the upper ALE does not change (lat/long, heading, and distance)... this is bad

The Rotator line (lat/long, heading, and distance) should change whenever the Locator field is changed.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

related to 0001660 new 2 - Next Dev List (Holding Area) Use Maidenhead locator (grid square) for ALE coordinates 

Activities

WA9PIE

2017-03-05 16:44

administrator   ~0003087

I replicated this today.

WA9PIE

2018-06-23 18:07

administrator   ~0005411

I think the steps here are sufficient to replicate this.

K7ZCZ

2018-07-01 20:52

manager   ~0005588

Fix is checked-in to the MikeB2 branch with this change list:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4205

K7ZCZ

2018-07-12 14:32

manager   ~0005660

merged to the main branch with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4223

g3ucq

2018-07-13 15:43

viewer   ~0005681

Entering WK3ZQY and hitting tab the first time populates Rotator with 39.0000N 97.5278W.
Entering EM35 changes to 35.50000000 -93.0000000.
Deleting EM35 and pressing Tab removes the data in the Rotator field so it is blank,
Repeated presses of the Tab button do not re-populate the Rotator fields.
Adding EM35 again does re-populate the Rotator field.

WA9PIE

2018-07-18 23:57

administrator   ~0005742

John, are you saying it passed... or still has problems?

g3ucq

2018-07-19 03:22

viewer   ~0005743

The issue described is fixed.

Issue History

Date Modified Username Field Change
2014-06-02 13:04 WA9PIE New Issue
2014-06-02 13:27 WA9PIE Assigned To => W4PC
2014-06-02 13:27 WA9PIE Status new => assigned
2014-10-08 22:07 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2014-10-23 13:30 n4kit Relationship added related to 0001660
2015-09-17 13:40 WA9PIE Category Logbook => Bug
2015-09-22 16:40 WA9PIE Fix Build TBD => (select)
2015-09-22 16:40 WA9PIE Proposed Release => TBD
2015-09-22 16:40 WA9PIE Summary Bug: Lat/Long, Heading, and Distance fields are not updating when the Locator (grid) field is changed => Lat/Long, Heading, and Distance fields are not updating when the Locator (grid) field is changed
2017-03-05 16:44 WA9PIE Note Added: 0003087
2017-06-30 18:45 K7ZCZ Assigned To W4PC => K7ZCZ
2018-06-23 18:07 WA9PIE Note Added: 0005411
2018-06-23 18:07 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2018-07-01 20:52 K7ZCZ Note Added: 0005588
2018-07-12 14:32 K7ZCZ Status assigned => resolved
2018-07-12 14:32 K7ZCZ Resolution open => fixed
2018-07-12 14:32 K7ZCZ Fixed in Version => 6.4.0.864
2018-07-12 14:32 K7ZCZ Testing => Not Started
2018-07-12 14:32 K7ZCZ Note Added: 0005660
2018-07-13 15:43 g3ucq Note Added: 0005681
2018-07-18 10:49 K7ZCZ Assigned To K7ZCZ => WA9PIE
2018-07-18 23:57 WA9PIE Assigned To WA9PIE => g3ucq
2018-07-18 23:57 WA9PIE Note Added: 0005742
2018-07-19 03:22 g3ucq Note Added: 0005743
2018-07-19 15:59 WA9PIE Status resolved => closed
2018-07-19 15:59 WA9PIE Testing Not Started => Beta Successful
2018-07-23 22:52 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-07-24 15:36 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2018-07-25 08:00 WA9PIE Fixed in Version 6.4.0.864 => 6.4.0.873
2018-07-25 20:47 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe